package com.xzzn.ems.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 总数据对象 ems_ammeter_data
 *
 * @author xzzn
 * @date 2025-06-27
 */
public class EmsAmmeterData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 数据更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataUpdateTime;

    /** 类别 */
    @Excel(name = "类别")
    private String category;

    /** 总 (kWh) */
    @Excel(name = "总 (kWh)")
    private BigDecimal totalKwh;

    /** 峰 (kWh) */
    @Excel(name = "峰 (kWh)")
    private BigDecimal peakKwh;

    /** 平 (kWh) */
    @Excel(name = "平 (kWh)")
    private BigDecimal flatKwh;

    /** 谷 (kWh) */
    @Excel(name = "谷 (kWh)")
    private BigDecimal valleyKwh;

    /** 站点id */
    @Excel(name = "站点id")
    private Long siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private Long deviceId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDataUpdateTime(Date dataUpdateTime)
    {
        this.dataUpdateTime = dataUpdateTime;
    }

    public Date getDataUpdateTime()
    {
        return dataUpdateTime;
    }

    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }

    public void setTotalKwh(BigDecimal totalKwh)
    {
        this.totalKwh = totalKwh;
    }

    public BigDecimal getTotalKwh()
    {
        return totalKwh;
    }

    public void setPeakKwh(BigDecimal peakKwh)
    {
        this.peakKwh = peakKwh;
    }

    public BigDecimal getPeakKwh()
    {
        return peakKwh;
    }

    public void setFlatKwh(BigDecimal flatKwh)
    {
        this.flatKwh = flatKwh;
    }

    public BigDecimal getFlatKwh()
    {
        return flatKwh;
    }

    public void setValleyKwh(BigDecimal valleyKwh)
    {
        this.valleyKwh = valleyKwh;
    }

    public BigDecimal getValleyKwh()
    {
        return valleyKwh;
    }

    public void setSiteId(Long siteId)
    {
        this.siteId = siteId;
    }

    public Long getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataUpdateTime", getDataUpdateTime())
                .append("category", getCategory())
                .append("totalKwh", getTotalKwh())
                .append("peakKwh", getPeakKwh())
                .append("flatKwh", getFlatKwh())
                .append("valleyKwh", getValleyKwh())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .toString();
    }
}
