package com.xzzn.ems.domain;

import java.math.BigDecimal;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 电池堆数据对象 ems_battery_stack
 *
 * @author xzzn
 * @date 2025-06-22
 */
public class EmsBatteryStack extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 工作状态 */
    @Excel(name = "工作状态")
    private String workStatus;

    /** 与PCS通信状态 */
    @Excel(name = "与PCS通信状态")
    private String pcsCommunicationStatus;

    /** 与EMS通信状态 */
    @Excel(name = "与EMS通信状态")
    private String emsCommunicationStatus;

    /** 电池堆总电压 (V) */
    @Excel(name = "电池堆总电压 (V)")
    private BigDecimal totalVoltage;

    /** 可充电量 (kWh) */
    @Excel(name = "可充电量 (kWh)")
    private BigDecimal chargeableCapacity;

    /** 累计充电量 (kWh) */
    @Excel(name = "累计充电量 (kWh)")
    private BigDecimal totalChargedCapacity;

    /** 电池堆总电流 (A) */
    @Excel(name = "电池堆总电流 (A)")
    private BigDecimal totalCurrent;

    /** 可放电量 (kWh) */
    @Excel(name = "可放电量 (kWh)")
    private BigDecimal dischargeableCapacity;

    /** 累计放电量 (kWh) */
    @Excel(name = "累计放电量 (kWh)")
    private BigDecimal totalDischargedCapacity;

    /** SOH (%) */
    @Excel(name = "SOH (%)")
    private BigDecimal soh;

    /** 平均温度 (℃) */
    @Excel(name = "平均温度 (℃)")
    private BigDecimal averageTemperature;

    /** 绝缘电阻 (Ω) */
    @Excel(name = "绝缘电阻 (Ω)")
    private BigDecimal insulationResistance;

    /** 当前SOC (%) */
    @Excel(name = "当前SOC (%)")
    private BigDecimal currentSoc;

    /** 站点id */
    @Excel(name = "站点id")
    private Long siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private Long deviceId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setWorkStatus(String workStatus)
    {
        this.workStatus = workStatus;
    }

    public String getWorkStatus()
    {
        return workStatus;
    }

    public void setPcsCommunicationStatus(String pcsCommunicationStatus)
    {
        this.pcsCommunicationStatus = pcsCommunicationStatus;
    }

    public String getPcsCommunicationStatus()
    {
        return pcsCommunicationStatus;
    }

    public void setEmsCommunicationStatus(String emsCommunicationStatus)
    {
        this.emsCommunicationStatus = emsCommunicationStatus;
    }

    public String getEmsCommunicationStatus()
    {
        return emsCommunicationStatus;
    }

    public void setTotalVoltage(BigDecimal totalVoltage)
    {
        this.totalVoltage = totalVoltage;
    }

    public BigDecimal getTotalVoltage()
    {
        return totalVoltage;
    }

    public void setChargeableCapacity(BigDecimal chargeableCapacity)
    {
        this.chargeableCapacity = chargeableCapacity;
    }

    public BigDecimal getChargeableCapacity()
    {
        return chargeableCapacity;
    }

    public void setTotalChargedCapacity(BigDecimal totalChargedCapacity)
    {
        this.totalChargedCapacity = totalChargedCapacity;
    }

    public BigDecimal getTotalChargedCapacity()
    {
        return totalChargedCapacity;
    }

    public void setTotalCurrent(BigDecimal totalCurrent)
    {
        this.totalCurrent = totalCurrent;
    }

    public BigDecimal getTotalCurrent()
    {
        return totalCurrent;
    }

    public void setDischargeableCapacity(BigDecimal dischargeableCapacity)
    {
        this.dischargeableCapacity = dischargeableCapacity;
    }

    public BigDecimal getDischargeableCapacity()
    {
        return dischargeableCapacity;
    }

    public void setTotalDischargedCapacity(BigDecimal totalDischargedCapacity)
    {
        this.totalDischargedCapacity = totalDischargedCapacity;
    }

    public BigDecimal getTotalDischargedCapacity()
    {
        return totalDischargedCapacity;
    }

    public void setSoh(BigDecimal soh)
    {
        this.soh = soh;
    }

    public BigDecimal getSoh()
    {
        return soh;
    }

    public void setAverageTemperature(BigDecimal averageTemperature)
    {
        this.averageTemperature = averageTemperature;
    }

    public BigDecimal getAverageTemperature()
    {
        return averageTemperature;
    }

    public void setInsulationResistance(BigDecimal insulationResistance)
    {
        this.insulationResistance = insulationResistance;
    }

    public BigDecimal getInsulationResistance()
    {
        return insulationResistance;
    }

    public void setCurrentSoc(BigDecimal currentSoc)
    {
        this.currentSoc = currentSoc;
    }

    public BigDecimal getCurrentSoc()
    {
        return currentSoc;
    }

    public void setSiteId(Long siteId)
    {
        this.siteId = siteId;
    }

    public Long getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("workStatus", getWorkStatus())
                .append("pcsCommunicationStatus", getPcsCommunicationStatus())
                .append("emsCommunicationStatus", getEmsCommunicationStatus())
                .append("totalVoltage", getTotalVoltage())
                .append("chargeableCapacity", getChargeableCapacity())
                .append("totalChargedCapacity", getTotalChargedCapacity())
                .append("totalCurrent", getTotalCurrent())
                .append("dischargeableCapacity", getDischargeableCapacity())
                .append("totalDischargedCapacity", getTotalDischargedCapacity())
                .append("soh", getSoh())
                .append("averageTemperature", getAverageTemperature())
                .append("insulationResistance", getInsulationResistance())
                .append("currentSoc", getCurrentSoc())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .toString();
    }
}
