package com.xzzn.ems.domain;

import java.math.BigDecimal;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * pcs支路数据对象 ems_pcs_branch_data
 *
 * @author xzzn
 * @date 2025-06-24
 */
public class EmsPcsBranchData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 放电状态 */
    @Excel(name = "放电状态")
    private String dischargeStatus;

    /** 直流功率 (kW) */
    @Excel(name = "直流功率 (kW)")
    private BigDecimal dcPower;

    /** 直流电压 (V) */
    @Excel(name = "直流电压 (V)")
    private BigDecimal dcVoltage;

    /** 直流电流 (A) */
    @Excel(name = "直流电流 (A)")
    private BigDecimal dcCurrent;

    /** 站点id */
    @Excel(name = "站点id")
    private Long siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private Long deviceId;

    /** 支路id */
    @Excel(name = "支路id")
    private Long branchId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDischargeStatus(String dischargeStatus)
    {
        this.dischargeStatus = dischargeStatus;
    }

    public String getDischargeStatus()
    {
        return dischargeStatus;
    }

    public void setDcPower(BigDecimal dcPower)
    {
        this.dcPower = dcPower;
    }

    public BigDecimal getDcPower()
    {
        return dcPower;
    }

    public void setDcVoltage(BigDecimal dcVoltage)
    {
        this.dcVoltage = dcVoltage;
    }

    public BigDecimal getDcVoltage()
    {
        return dcVoltage;
    }

    public void setDcCurrent(BigDecimal dcCurrent)
    {
        this.dcCurrent = dcCurrent;
    }

    public BigDecimal getDcCurrent()
    {
        return dcCurrent;
    }

    public void setSiteId(Long siteId)
    {
        this.siteId = siteId;
    }

    public Long getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }

    public void setBranchId(Long branchId)
    {
        this.branchId = branchId;
    }

    public Long getBranchId()
    {
        return branchId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dischargeStatus", getDischargeStatus())
                .append("dcPower", getDcPower())
                .append("dcVoltage", getDcVoltage())
                .append("dcCurrent", getDcCurrent())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .append("branchId", getBranchId())
                .toString();
    }
}
